Skip to main content
GET
/
v1
/
customers
/
{id}
Get a customer
curl --request GET \
  --url https://mgmt-api.voxfra.com/v1/customers/{id} \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "phone_number": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "full_name": "<string>",
    "email": "jsmith@example.com",
    "customer_status": "new",
    "created_from_call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "first_call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "first_call_at": "2023-11-07T05:31:56Z",
    "last_call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "last_call_at": "2023-11-07T05:31:56Z",
    "total_calls": 123,
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

Your Voxfra management API key. Passed as a request header.

Format: vox_mgmt_<random>

Path Parameters

id
string<uuid>
required

Customer UUID

Response

Customer record

data
object